## ECellDateEdit ECellDateEdit |

## Functions

struct tm | (*ECellDateEditGetTimeCallback) ()
ECell * | e_cell_date_edit_new ()
void | e_cell_date_edit_freeze ()
void | e_cell_date_edit_thaw ()
void | e_cell_date_edit_set_get_time_callback ()

## Properties

gboolean | allow-no-date-set | Read / Write
int | lower-hour | Read / Write
gboolean | show-now-button | Read / Write
gboolean | show-time | Read / Write
gboolean | show-today-button | Read / Write
int | upper-hour | Read / Write
gboolean | use-24-hour-format | Read / Write

## Signals

void | before-popup | Run First

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellPopup
                ╰── ECellDateEdit

## Description

## Functions

### ECellDateEditGetTimeCallback ()

    struct tm
    (*ECellDateEditGetTimeCallback) (ECellDateEdit *ecde,
                                     gpointer data);

### e_cell_date_edit_new ()

    ECell *
    e_cell_date_edit_new (void);

Creates a new ECellDateEdit renderer.

#### Returns

an ECellDateEdit object.

### e_cell_date_edit_freeze ()

    void
    e_cell_date_edit_freeze (ECellDateEdit *ecde);

### e_cell_date_edit_thaw ()

    void
    e_cell_date_edit_thaw (ECellDateEdit *ecde);

### e_cell_date_edit_set_get_time_callback ()

    void
    e_cell_date_edit_set_get_time_callback
                                   (ECellDateEdit *ecde,
                                    ECellDateEditGetTimeCallback cb,
                                    gpointer data,
                                    GDestroyNotify destroy);

## Property Details

### The `“allow-no-date-set”` property

      “allow-no-date-set”        gboolean

Owner: ECellDateEdit

Flags: Read / Write

Default value: TRUE

### The `“lower-hour”` property

      “lower-hour”               int

Owner: ECellDateEdit

Flags: Read / Write

Default value: 0

### The `“show-now-button”` property

      “show-now-button”          gboolean

Owner: ECellDateEdit

Flags: Read / Write

Default value: TRUE

### The `“show-time”` property

      “show-time”                gboolean

Owner: ECellDateEdit

Flags: Read / Write

Default value: TRUE

### The `“show-today-button”` property

      “show-today-button”        gboolean

Owner: ECellDateEdit

Flags: Read / Write

Default value: TRUE

### The `“upper-hour”` property

      “upper-hour”               int

Owner: ECellDateEdit

Flags: Read / Write

Default value: 24

### The `“use-24-hour-format”` property

      “use-24-hour-format”       gboolean

Owner: ECellDateEdit

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“before-popup”` signal

    void
    user_function (ECellDateEdit *ecelldateedit,
                   int            arg1,
                   int            arg2,
                   gpointer       user_data)

Flags: Run First